#
# spec file for package pmidi (Version 1.4.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel
# usedforbuild    aaa_base aaa_dir alsa alsa-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         pmidi
Summary:      A command-line MIDI player for ALSA
Version:      1.4.1
Release:      201
Copyright:	GPL
Group:		Applications/Sound
Source0:	pmidi-%{version}.tar.bz2
URL:		http://www.parabola.demon.co.uk/alsa/pmidi.html
BuildRoot:	/tmp/pmidi-%{version}-root

%description
Pmidi is a command line MIDI player for ALSA.

Authors:
--------
    Steve Ratcliffe <steve@parabola.demon.co.uk>

SuSE series: snd

%prep
%setup -q

%build
rm -rf $RPM_BUILD_ROOT
#CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
make INSTDIR=$RPM_BUILD_ROOT/usr/bin install
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
cp -f pmidi.1 $RPM_BUILD_ROOT/%{_mandir}/man1

%clean
rm -fr $RPM_BUILD_ROOT

%files
/usr/bin/*
%doc COPYING ChangeLog README
%doc %{_mandir}

%changelog -n pmidi
* Thu Nov 02 2000 - tiwai@suse.de
- Fixed spec file for long package-name support.
* Tue Sep 26 2000 - tiwai@suse.de
- Changed to bzip2
* Tue Jul 11 2000 - tiwai@suse.de
- 1st version: 0.4.1
